#
# spec file for package pavucontrol-qt
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pavucontrol-qt
Version:        0.3.0
Release:        lp151.2.6
Summary:        Qt port of pavucontrol
License:        GPL-2.0
Group:          System/GUI/LXQt
Url:            https://github.com/lxde/pavucontrol-qt
Source:         https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  gcc-c++
BuildRequires:  lxqt-build-tools-devel
BuildRequires:  pkgconfig
BuildRequires:  xdg-user-dirs
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libpulse) >= 5.0
BuildRequires:  pkgconfig(libpulse-mainloop-glib) >= 0.9.16
BuildRequires:  pkgconfig(lxqt)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PulseAudio Volume Control (pavucontrol) is a simple volume control tool
("mixer") for the PulseAudio sound server. In contrast to classic mixer
tools this one allows you to control both the volume of hardware devices
and of each playback stream separately.

%prep
%setup -q
sed -i '/Name=/s/$/ Qt/' src/%{name}.desktop.in

%build
%cmake \
      -DPULL_TRANSLATIONS=OFF
make %{?_smp_mflags}

%install
%cmake_install

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Oct 23 2017 mvetter@suse.com
- Update to 0.3.0:
  * Bump version to 0.3.0
  * correct spelling mistake
  * Added Lithuanian .desktop file
  * liblxqt make no sense here
  * Copied issue template
  * set Qt::AA_UseHighDpiPixmaps to true
  * Added version to cli options
  * Added default CMAKE_BUILD_TYPE and versioning
  * added pl.desktop
  * ui: Use "changes-prevent-symbolic" icon
  * MainWindow: Remove old GTK remnants
  * Add Catalan translation
  * Channel: Add slider snapping to 100%%
  * Channel: Address compiler warnings
  * Channel: Align slider controls correclty
  * Channel: Add ticks to volume slider
  * Channel: Use percentage for volume scale
  * devicewidgte: Re-add device renaming
  * MainWindow: Force using the size from previous run
  * MainWindow: Add quit shortcut
  * Added pavucontrol-qt_da.desktop
* Fri Feb 24 2017 sfalken@opensuse.org
- Update to 0.2.0:
  * Release 0.2.0: Update changelog
  * Use QSettings for storing configuration
  * Create pavucontrol-qt_pt.desktop
  * Use the new lxqt-build-tools package
  * - Add a simple single instance controller to avoid run multiple simultaneous applications
  * Use same approach as avidemux
  * Simply differentiate the namnig to avoid menu duplication
  * CMakeLists: Remove XdgUserDirs requirement
  * mainwindow: Set icon for eventRoleWidget
* Sat Sep 24 2016 mvetter@suse.com
- Creating initial package 0.1.0
